System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

The and interfaces enable an inheriting class to implement a DataReader class. This provides a way of reading one or more forward-only streams of result sets. For more information about DataReader classes, see Retrieving Data Using the DataReader.

An application does not create an instance of the interface directly, but creates an instance of a class that inherits . Typically, you do this by obtaining a DataReader through the ExecuteReader method of the Command object.

Classes that inherit must implement all inherited members, and typically define additional members to add provider-specific functionality.

Providers implementing a DataReader are required to expose data in common language runtime (CLR) types. Type coercion is defined for some types not included in the CLR. These values may be accessed as alternative types that comply with CLR types. As an example, the following table lists suggested mappings from OLE DB data types to CLR types, with alternative types in parentheses.

OLE DB type

CLR type

DBTYPE_BOOL

Int16

DBTYPE_BSTR

string

DBTYPE_BYTES

byte[]

DBTYPE_CY

Decimal

DBTYPE_DATE

DateTime

DBTYPE_DBDATE

DateTime

DBTYPE_DBTIME

DateTime

DBTYPE_DBTIMESTAMP

DateTime

DBTYPE_DECIMAL

Decimal

DBTYPE_EMPTY

null

DBTYPE_ERROR

ExternalException

DBTYPE_FILETIME

DateTime

DBTYPE_GUID

Guid

DBTYPE_HCHAPTER

not supported

DBTYPE_I1

SByte

DBTYPE_I2

Int16

DBTYPE_I4

Int32

DBTYPE_I8

Int64

DBTYPE_IDISPATCH

object

DBTYPE_IUNKNOWN

object

DBTYPE_NULL

DBNull.Value

DBTYPE_NUMERIC

Decimal

DBTYPE_PROPVARIANT

object

DBTYPE_R4

Single

DBTYPE_R8

Double

DBTYPE_STR

string

DBTYPE_UDT

not supported

DBTYPE_UI1

byte (Int16)

DBTYPE_UI2

UInt16 (Int32)

DBTYPE_UI4

UInt32 (Int64)

DBTYPE_UI8

UInt64 (Decimal)

DBTYPE_VARIANT

object

DBTYPE_VARNUMERIC

not supported

DBTYPE_WSTR

string

Provides access to the column values within each row for a DataReader, and is implemented by .NET Framework data providers that access relational databases.

- Property
  System.Int32 To be added: an object of type 'int'

  After executing a query that does not return rows (for example, using the method), returns -1.

  Gets the number of columns in the current row.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  No conversions are performed. Therefore, the data retrieved must already be a Boolean; otherwise an exception is generated.

  Gets the value of the specified column as a Boolean.

  The value of the column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Byte `` To be added

  Gets the 8-bit unsigned integer value of the specified column.

  The 8-bit unsigned integer value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` `` `` ``

  returns the number of available bytes in the field. Frequently this is the exact length of the field. However, the number returned may be less than the true length of the field if GetBytes has already been used to obtain bytes from the field.

  If you pass a buffer that is null, returns the length of the row in bytes.

  No conversions are performed; therefore the data retrieved must already be a byte array.

  Reads a stream of bytes from the specified column offset into the buffer as an array, starting at the given buffer offset.

  The actual number of bytes read.

  The zero-based column ordinal. The index within the field from which to start the read operation. The buffer into which to read the stream of bytes. The index for to start the read operation. The number of bytes to read. 1.0.5000.0 2.0.0.0
- Method
  System.Char `` To be added

  Gets the character value of the specified column.

  The character value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` `` `` ``

  returns the number of available characters in the field. Frequently this is the exact length of the field. However, the number returned may be less than the exact length of the field if GetChars has already been used to obtain characters from the field.

  If you pass a buffer that is null, GetChars returns the length of the field in characters.

  No conversions are performed; therefore the data retrieved must already be a character array.

  Reads a stream of characters from the specified column offset into the buffer as an array, starting at the given buffer offset.

  The actual number of characters read.

  The zero-based column ordinal. The index within the row from which to start the read operation. The buffer into which to read the stream of bytes. The index for to start the read operation. The number of bytes to read. 1.0.5000.0 2.0.0.0
- Method
  System.Data.IDataReader `` To be added

  Returns an for the specified column ordinal.

  The for the specified column ordinal.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  The data type information can differ from the type information returned by GetFieldType, especially where the underlying data types do not map one for one to the runtime types supported by the language. (for example, DataTypeName may be "integer", while Type.Name may be "Int32".)

  Gets the data type information for the specified field.

  The data type information for the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.DateTime `` To be added

  Gets the date and time data value of the specified field.

  The date and time data value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Decimal `` To be added

  Gets the fixed-position numeric value of the specified field.

  The fixed-position numeric value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Double `` To be added

  Gets the double-precision floating point number of the specified field.

  The double-precision floating point number of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Type ``

  This information can be used to increase performance by indicating the strongly-typed accessor to call. (for example, using GetInt32 is roughly ten times faster than using GetValue.)

  Gets the information corresponding to the type of that would be returned from .

  The information corresponding to the type of that would be returned from .

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Single `` To be added

  Gets the single-precision floating point number of the specified field.

  The single-precision floating point number of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Guid `` To be added

  Returns the GUID value of the specified field.

  The GUID value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int16 `` To be added

  Gets the 16-bit signed integer value of the specified field.

  The 16-bit signed integer value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the 32-bit signed integer value of the specified field.

  The 32-bit signed integer value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` To be added

  Gets the 64-bit signed integer value of the specified field.

  The 64-bit signed integer value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Gets the name for the field to find.

  The name of the field or the empty string (""), if there is no value to return.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  GetOrdinal performs a case-sensitive lookup first. If it fails, a second case-insensitive search is made. GetOrdinal is kana-width insensitive. If the index of the named field is not found, an IndexOutOfRangeException is thrown.

  Because ordinal-based lookups are more efficient than named lookups, it is inefficient to call GetOrdinal within a loop. Save time by calling GetOrdinal one time and assigning the results to an integer variable for use within the loop.

  Return the index of the named field.

  The index of the named field.

  The name of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Gets the string value of the specified field.

  The string value of the specified field.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` To be added

  Return the value of the specified field.

  The which will contain the field value upon return.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  For most applications, the method provides an efficient means for retrieving all columns, instead of retrieving each column individually.

  You can pass an array that contains fewer than the number of columns that are contained in the resulting row. Only the amount of data the array holds is copied to the array. You can also pass an array whose length is more than the number of columns that are contained in the resulting row.

  Populates an array of objects with the column values of the current record.

  The number of instances of in the array.

  An array of to copy the attribute fields into. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  Call this method to see if there are null column values before calling the typed get methods (for example, , , and so on) to avoid raising an error.

  Return whether the specified field is set to null.

  true if the specified field is set to null; otherwise, false.

  The index of the field to find. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.